Edit video details

Prerequisites

Authenticate and obtain an access token using your API credentials. Use this token to authorize all subsequent API requests.

Request Parameters

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required
≥ 1

The unique identifier of the video to edit.

string
required
length ≤ 250
^[^\n\r\\]{1,250}$

Video name. Must be 1 to 250 characters and cannot include backslashes or line breaks.

string

Video description. Can be an empty string.

uri

Click URL for the video.

string

Cover image value for the video.

keyWords
array of strings

Array of keywords associated with the video. Each value cannot include backslashes, angle brackets, single quotes, line breaks, or null characters.

keyWords
string
^(?:$|Unlimited|(\d{4}-\d{1,2}-\d{1,2} \d{1,2}:\d{1,2}(:\d{1,2})?))$

Start date and time for video availability. Use an empty string, Unlimited, or YYYY-M-D H:M[:S]. When both values are provided, beginTime must be earlier than or equal to endTime.

string
^(?:$|Unlimited|(\d{4}-\d{1,2}-\d{1,2} \d{1,2}:\d{1,2}(:\d{1,2})?))$

End date and time for video availability. Use an empty string, Unlimited, or YYYY-M-D H:M[:S].

string

External GUID value for the video.

customParameters
array of objects

Array of custom parameter objects.

customParameters
Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json